Broken Special:Log output due to missing message logentry-lock-flow-lock-topic
Closed, ResolvedPublic

Description

At https://www.mediawiki.org/wiki/Special:Log/Tropicalkitty I see:

Note <logentry-lock-flow-lock-topic>. There haven't been any changes to en.json recently, so I don't immediately understand how this happened.

Catrope created this task.Nov 6 2015, 6:13 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to High.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2015, 6:13 PM
SBisson added a subscriber: SBisson.Nov 6 2015, 6:30 PM

These keys are generated by ActionFormatter.php:98. It may never have existed.

SBisson claimed this task.Nov 10 2015, 4:06 PM
SBisson set Security to None.

Change 252233 had a related patch set uploaded (by Sbisson):
Fix log entries for topic lock/unlock

https://gerrit.wikimedia.org/r/252233

unlock logentry (AKA reopen topic) is also broken but differently:

15:53, 10 November 2015 Admin (Talk | contribs | block) flow-restore-topic (reopened)

The patch above fixes both lock and unlock log entries.

Change 252233 merged by jenkins-bot:
Fix log entries for topic lock/unlock

https://gerrit.wikimedia.org/r/252233

Catrope closed this task as Resolved.Nov 22 2015, 10:26 PM